Bug 1604918 - nagstamon: FTBFS in Fedora rawhide
Summary: nagstamon: FTBFS in Fedora rawhide
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nagstamon
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikita Klimov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1466709
Blocks: F29FTBFS 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-20 01:09 UTC by Mohan Boddu
Modified: 2019-10-31 20:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
build.log (3.74 KB, text/plain)
2018-07-20 01:09 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 01:09 UTC, Mohan Boddu
no flags Details
state.log (627 bytes, text/plain)
2018-07-20 01:09 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 01:09:04 UTC
nagstamon failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28203498


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix nagstamon at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
nagstamon will be orphaned. Before branching of Fedora 30,
nagstamon will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 01:09:13 UTC
Created attachment 1464550 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 01:09:16 UTC
Created attachment 1464551 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 01:09:19 UTC
Created attachment 1464552 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:21:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Russell Odom 2018-12-04 13:17:38 UTC
This is trying to build ancient version 1.0.1; the latest is 3.something. This should be fixed by bug 1466709.

Comment 6 Ben Cotton 2019-10-31 20:22:26 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.